Apifirecrawl
Scrape a URL and return its content as markdown
Read operation: does not mutate upstream state.
curl -X POST "https://api.modernloop.dev/rest/v1/firecrawl/scrape" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "url": "string" }'{ "markdown": "string", "html": "string", "links": [ "string" ], "metadata": { "title": "string", "description": "string", "sourceURL": "string", "statusCode": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
url*string
The URL to scrape
Length
1 <= lengthformats?array<>
Output formats to return (default: ["markdown"])
onlyMainContent?boolean
Only return main content, excluding navigation and footers (default: true)
Response Body
application/json
application/json
application/json
application/json
application/json